View Issue Details

IDProjectCategoryView StatusLast Update
0015065ScribusUser Interfacepublic2017-12-20 20:58
Reporteralface Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWindowsOSWindowsOS Version10
Product Version1.5.4.svn 
Target VersionFixed in Version1.5.4.svn 
Summary0015065: 'Color and Fills' menu - gui isn't working properly when marking a non CMYK color as 'Spot Color'
DescriptionOn 'EDIT>COLOR AND FILLS' menu - While editing any NonCMYK color, marking it as 'Spot Color', it dos auto-switch the 'Color Model' to CMYK but the sliders don't become the CMYK sliders.
Steps To ReproduceOpen the menu EDIT>COLLOR AND FILLS, open any non-CMYK color to edit. Check it as a Spot Color the current Color Model turns into CMYK but the sliders remains the same.
TagsNo tags attached.
PatchNo

Activities

jghali

2017-12-08 23:11

administrator   ~0044730

There was indeed an omission long time ago when a change was committed to allow RGB spot colors. As quite a few Pantone colors falls out of traditional CMYK colorspace, using RGB (or Lab) spot colors enable better on screen preview. Now the only case where color model is switched to another when marking a color as spot is when initial color model is Web Safe RGB.

alface

2017-12-11 14:32

reporter   ~0044733

jghali, I wanna say that you guys are doing a great job, thank you. About this issue, do I have to close now it was fixed?

Issue History

Date Modified Username Field Change
2017-12-08 18:57 alface New Issue
2017-12-08 23:03 jghali Summary 'Color and Fills' menu - While editing a NonCMYK color, marking it as 'Spot Color' gui isn't working properly => 'Color and Fills' menu - gui isn't working properly when marking a non CMYK color as 'Spot Color'
2017-12-08 23:11 jghali Assigned To => jghali
2017-12-08 23:11 jghali Status new => resolved
2017-12-08 23:11 jghali Resolution open => fixed
2017-12-08 23:11 jghali Fixed in Version => 1.5.4.svn
2017-12-08 23:11 jghali Note Added: 0044730
2017-12-08 23:59 jghali Priority low => normal
2017-12-08 23:59 jghali Severity trivial => minor
2017-12-11 14:32 alface Note Added: 0044733
2017-12-20 20:58 cbradney Status resolved => closed